---
"@context": https://schema.org
"@type": TechArticle
"@id": https://www.twilio.com/docs/api/knowledge/operations#article
headline: Operations endpoints
description: Overview of Knowledge API (v2) - Operations endpoints
url: https://www.twilio.com/docs/api/knowledge/operations
inLanguage: en
author:
  "@type": Organization
  name: Twilio Developer Education Team
publisher:
  "@type": Organization
  name: Twilio
---

# Operations endpoints

> \[!NOTE]
>
> Enterprise Knowledge, including the APIs, may use artificial intelligence or machine learning technologies and is subject to the terms of the [Predictive and Generative AI/ML Features Addendum](https://www.twilio.com/en-us/legal/ai-terms/predictive-generative-ai-features). For more details on AI usage and data, see the [AI Nutrition Facts](/docs/conversations/knowledge/nutrition-facts).
>
> Enterprise Knowledge is not a HIPAA Eligible Service or PCI compliant and should not be enabled in workflows that are subject to HIPAA or PCI.
>
> Conversations products are only available in the [new Twilio Console](https://1console.twilio.com). If your account hasn't been migrated, you'll be redirected to the legacy Console where these products won't appear.

## Overview

Retrieve the status and result of asynchronous operations. Write endpoints that trigger long-running processes return an operation ID that can be used here to check status.

## Endpoints

* [`GET /v2/ControlPlane/Operations/{operationId}`](/docs/api/knowledge/operations/fetch-operation) - Get Operation Status
